Matrix
Eina » Data Types

Eina includes a family of matrix types of different dimension sizes and underlying data types. More...

## Topics

| 3x3 floating point matrices
| Definition and operations for 3x3 matrices.
| 4x4 Matrices in floating point
| Definition and operations for 4x4 matrices.
| 3x3 Matrices in fixed point
| Definition and operations for 3x3 fixed point matrices.
| 2x2 Matrices in floating point
| Definition and operations for 2x3 matrices.

## Typedefs

typedef enum _Eina_Matrix_Type | Eina_Matrix_Type
| Matrix types.
typedef enum _Eina_Matrix_Axis | Eina_Matrix_Axis
| Matrix Axes.

## Enumerations

enum | _Eina_Matrix_Type { EINA_MATRIX_TYPE_IDENTITY , EINA_MATRIX_TYPE_AFFINE , EINA_MATRIX_TYPE_PROJECTIVE , EINA_MATRIX_TYPE_LAST }
enum | _Eina_Matrix_Axis { EINA_MATRIX_AXIS_X , EINA_MATRIX_AXIS_Y , EINA_MATRIX_AXIS_Z }

## Detailed Description

Eina includes a family of matrix types of different dimension sizes and underlying data types.

Dimensions supported include 2x2, 3x3, and 4x4. A fixed point variation of the 3x3 matrix is also supported, which uses the Eina_F16p16 (Q16.16) data type.

## Enumeration Type Documentation

## _Eina_Matrix_Type

enum _Eina_Matrix_Type

Enumerator
EINA_MATRIX_TYPE_IDENTITY | Identity matrix type.
EINA_MATRIX_TYPE_AFFINE | Affine matrix type.
EINA_MATRIX_TYPE_PROJECTIVE | Projective matrix type.
EINA_MATRIX_TYPE_LAST | The total number of matrix types.

## _Eina_Matrix_Axis

enum _Eina_Matrix_Axis

Enumerator
EINA_MATRIX_AXIS_X | X-Axis.
EINA_MATRIX_AXIS_Y | Y-Axis.
EINA_MATRIX_AXIS_Z | Z-Axis.